Results 1 to 7 of 7

Thread: Unable to Start Apache2

  1. #1
    dmgray0325 NNTP User

    Default Unable to Start Apache2

    When I attempt to start Apache2 I get the following:

    linux-yd18:/etc/rc.d # ./apache2 start
    Starting httpd2 (worker) /usr/sbin/httpd2-worker: symbol lookup error: /usr/sbin/httpd2-worker: undefined symbol: apr_brigade_split_ex

    The command line was:
    /usr/sbin/httpd2-worker -f /etc/apache2/httpd.conf

    I am a complete newbie to open SUSE. I hardly know where to start to troubleshoot this.

    Regards

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Unable to Start Apache2

    Is there a reason you are using the httpd2-worker Apache binary? Most use httpd2-prefork.

  3. #3
    dmgray0325 NNTP User

    Default Re: Unable to Start Apache2

    No reason that I know of. I used yast2 to install the software. I tried uninstalling and reinstalling several times and there was a time I was getting a similar error with prefork.

    What I really want is a pretty basic LAMP environment but it doesn't seem to be as easy to specify that with SUSE as with other distros I use.

    I would like to do a clean uninstall and start all over again with Apache2, etc.

  4. #4
    dmgray0325 NNTP User

    Default Re: Unable to Start Apache2

    After another attempt ot uninstall both Apache2 and PHP5, I reinstalled and now get this:

    Linux-yd18:/etc/rc.d # ./apache2 start
    Starting httpd2 (prefork) /usr/sbin/httpd2-prefork: symbol lookup error: /usr/sbin/httpd2-prefork: undefined symbol: apr_brigade_split_ex

    The command line was:
    /usr/sbin/httpd2-prefork -f /etc/apache2/httpd.conf
    failed

    I suspect that some libraries have to be upgraded but I don't know what they are.

  5. #5
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Unable to Start Apache2

    What does the following command return for you? Here's mine.

    Code:
    $ rpm -q apache2 libapr1 libapr-util1
    apache2-2.2.8-28.1
    libapr1-1.2.12-27.1
    libapr-util1-1.2.12-43.1

  6. #6
    dmgray0325 NNTP User

    Default Re: Unable to Start Apache2

    Here they are:

    apache2-2.2.9-26.1
    libapr1-1.3.3-3.1
    libapr-util1-1.2.12-43.1

    only libapr-util1 is same as yours. Others are newer.

  7. #7
    dmgray0325 NNTP User

    Default Re: Unable to Start Apache2

    I updated to libapr-util1-1.3.4-2.1 and all is working okay now. Thanks for your help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •